VARKON Version 1.15 1998-04-03

> ## lin_proj - Geometric procedure

> Creates a line
> Description
> Creates a line in the XY-plane of the active coordinate system. In 2D this is the same as lin_proj but in 3D
> p1 and p2 are first projected along the Z-axis onto the XY-plane of the active coordinate system.
> Syntax
> lin_proj(id, p1, p2:attributes);

> REF | id;
> VECTOR | p1;
> VECTOR | p2;

> Principal parameters

> id | - Local identity
> p1 | - Start position
> p2 | - End position

> Optional parameters

> None. |

> Attributes

> PEN | - Pen or colour number
> LEVEL | - Level number
> BLANK | - Visible(0) or invisible(1)
> LFONT | - Solid(0), dashed(1) or centerline(2)
> LDASHL | - Dashlength
> WIDTH | - Linewidth

> Comment
> Distance between p1 and p2 after projection must be at least 0.001 (TOL2).

VARKON Homepage | Index